/* SingleWindow.cpp
   Copyright (C) 1996, Abraham Flaxman (abie@kenlaw.com)

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  */

// SingleWindow.cpp
//
// a window for applications who will have only
// one window.  It's just like an ordinary window
// except when it is closed it quits the app
//
// using this instead of a standard BWindow avoids
// problems related to the fact that the main menu
// of a windowless application is never shown in 1.1d7

#include <Window.h>
#include "SingleWindow.h"

SingleWindow::SingleWindow(
		BRect frame,
		const char *title,
		window_type type,
		ulong flags,
		ulong workspace
	) : BWindow(frame, title, type, flags, workspace)
{
}

bool SingleWindow::QuitRequested()
{
	be_app->PostMessage(B_QUIT_REQUESTED);
	return TRUE;
}
